LINUX.ORG.RU

драйвер ATI

 ,


0

1

Установил драйвер ATI: AMD Catalyst™ 12.3 Proprietary Linux x86 Display Driver: Проблема в том, что теперь, перетаскивая либо окно терминала, либо пролистывая инстернет странички, наблюдается странный эффект, когда остается след от окна терминала в виде ранее отрисованного окна терминала или же снова и снова отрисовывается открытая интернет страничка при скроллинге. Разрешение экрана и частота обновления монитора такие же как и были прежде. В чем может быть проблема ? Версия упвковки драйвера : 8.951-120308a-135854C-ATI Catalyst control center : 2.13 Версия Catalyst™ 12.3 Видеокарта : ATI Radeon HD4600 Se Ядро Линукс:

Linux sartura 2.6.32-5-amd64 #1 SMP Thu Mar 22 17:26:33 UTC 2012 x86_64 GNU/Linux
Информация о дистрибутиве:
No LSB modules are available.
Distributor ID:	Debian
Description:	Debian GNU/Linux 6.0.4 (squeeze)
Release:	6.0.4
Codename:	squeeze
Установка прошла с ошибками. Лог ошибок:
Uninstalling any previously installed drivers.
Unloading radeon module...
ERROR: Module radeon is in use
Unloading drm module...
ERROR: Module drm is in use by radeon,ttm,drm_kms_helper
[Message] Kernel Module : Trying to install a precompiled kernel module.
[Message] Kernel Module : Precompiled kernel module version mismatched.
[Error] Kernel Module : Kernel module build environment not found - please consult readme.
[Reboot] Kernel Module : update-initramfs

Ответ на: комментарий от warmate

Catalyst Control Center установился. Проблема в том, что старый драйвер не удалился по причине того что был в использовании ?

thunriv ()
Ответ на: комментарий от warmate

следует сначала удалить криво установленный драйвер,запустив скрипт. Потом установить по пунктам ручной установки:1)prerequisite packages, 2)generic cinfigdownloading the latest catalyst package, 3)create the .deb packages, 4)install .debs, 5)post install-generic config ?

thunriv ()
Ответ на: комментарий от thunriv

В начале удаляем:

$ sudo sh /usr/share/ati/fglrx-uninstall.sh
$ sudo apt-get remove --purge fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx

Затем ставите тот же драйвер снова.
На будущее: драйверы на графику AMD следует обновлять только путем предварительного удаления предыдущего драйвера (НЕ поверх!!!).

warmate ()
Ответ на: комментарий от warmate

в ин-фе по ссылке пунк инсталляция начинается со слов-у вас уже должен быть установлен опен-сурс драйвер и он должен использоваться по умолчанию.ничего не сказано про удаление первоначального драйвера.

thunriv ()
Ответ на: комментарий от thunriv

Делайте по шагам:
1. Качаем драйвер под нужную платформу с сайта AMD и запоминаем путь куда скачался.
2. Далее закрываем(сохраняемся при необходимости) все приложения, открываем консоль и пишем:

sudo telinit 1

Вводим пароль рута.
3. Удаляем все предыдущие драйверы:

sh /usr/share/ati/fglrx-uninstall.sh
apt-get remove --purge xserver-xorg-video-radeon fglrx fglrx_* fglrx-amdcccle* fglrx-dev* xorg-driver-fglrx xserver-xorg-video-ati

4. Ставим новый драйвер:
Переходим в каталог куда скачали драйвер.

chmod a+x ati-driver-installer-12-3-x86.run
./ati-driver-installer-12-3-x86.run

5. Конфигурация X:

amdconfig --initial -f
amdconfig --input=/etc/X11/xorg.conf --tls=1

После этого перезагружаем машину.

warmate ()
Ответ на: комментарий от thunriv

В свежей системе стоит открытый драйвер о чем написано по ссылке ))

The open-source ati/radeon driver should already be installed and used as the default. See Debian Open Source Drivers. This guide focuses on installing the proprietary ATI driver (fglrx/Catalyst).

warmate ()
Ответ на: комментарий от warmate

версия xorg в squeeze 1.7.7

Откуда вы это узнали?:) Например, чтобы узнать ин-фу о дистрибутиве, можно сделать версия # lsb_release -a .Ничего похожего для xorg нет ?

thunriv ()
Ответ на: комментарий от thunriv

Откуда вы это узнали?:) Например, чтобы узнать ин-фу о дистрибутиве, можно сделать версия # lsb_release -a .Ничего похожего для xorg нет ?

Xorg -version

koolman ()
Ответ на: комментарий от koolman

Впринципе, я делал все тоже что посоветовал товаришь warmate. Видимо, проблема была в том,что не были установлены: build-essential cdbs fakeroot dh-make debhelper debconf libstdc++6 dkms libqtgui4 wget execstack libelfg0 module-assistant, не был удален xserver-xorg-video-radeon.

thunriv ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.